Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Class JcrLexicon

    java.lang.Object
      org.modeshape.graph.JcrLexicon

Direct Known Subclasses:
  JcrLexicon

    @Immutable
    public class JcrLexicon

extends Object

A lexicon of names with the JCR namespace.

Nested Class Summary
`static class` | `JcrLexicon.Namespace`

Field Summary
`static Name` | `AUTO_CREATED`
`static Name` | `CHILD_NODE_DEFINITION`
`static Name` | `CONTENT`
`static Name` | `CREATED`
`static Name` | `CREATED_BY`
`static Name` | `DATA`
`static Name` | `DEFAULT_PRIMARY_TYPE`
`static Name` | `DEFAULT_VALUES`
`static Name` | `ENCODING`
`static Name` | `HAS_ORDERABLE_CHILD_NODES`
`static Name` | `IS_ABSTRACT`
`static Name` | `IS_FULL_TEXT_SEARCHABLE`
`static Name` | `IS_MIXIN`
`static Name` | `IS_QUERY_ORDERABLE`
`static Name` | `IS_QUERYABLE`
`static Name` | `LAST_MODIFIED`
`static Name` | `LAST_MODIFIED_BY`
`static Name` | `MANDATORY`
`static Name` | `MIMETYPE`
`static Name` | `MIXIN_TYPES`
`static Name` | `MULTIPLE`
`static Name` | `NAME`
`static Name` | `NODE_TYPE_NAME`
`static Name` | `ON_PARENT_VERSION`
`static Name` | `PRIMARY_ITEM_NAME`
`static Name` | `PRIMARY_TYPE`
`static Name` | `PROPERTY_DEFINITION`
`static Name` | `PROTECTED`
`static Name` | `QUERY_OPERATORS`
`static Name` | `REQUIRED_PRIMARY_TYPES`
`static Name` | `REQUIRED_TYPE`
`static Name` | `SAME_NAME_SIBLINGS`
`static Name` | `SUPERTYPES`
`static Name` | `UUID`
`static Name` | `VALUE_CONSTRAINTS`
`static Name` | `XMLCHARACTERS`

Constructor Summary
`JcrLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UUID

    public static final Name UUID

### NAME

    public static final Name NAME

### PRIMARY_TYPE

    public static final Name PRIMARY_TYPE

### MIXIN_TYPES

    public static final Name MIXIN_TYPES

### CONTENT

    public static final Name CONTENT

### CREATED

    public static final Name CREATED

### CREATED_BY

    public static final Name CREATED_BY

### ENCODING

    public static final Name ENCODING

### MIMETYPE

    public static final Name MIMETYPE

### DATA

    public static final Name DATA

### LAST_MODIFIED

    public static final Name LAST_MODIFIED

### LAST_MODIFIED_BY

    public static final Name LAST_MODIFIED_BY

### AUTO_CREATED

    public static final Name AUTO_CREATED

### CHILD_NODE_DEFINITION

    public static final Name CHILD_NODE_DEFINITION

### DEFAULT_PRIMARY_TYPE

    public static final Name DEFAULT_PRIMARY_TYPE

### DEFAULT_VALUES

    public static final Name DEFAULT_VALUES

### HAS_ORDERABLE_CHILD_NODES

    public static final Name HAS_ORDERABLE_CHILD_NODES

### IS_ABSTRACT

    public static final Name IS_ABSTRACT

### IS_FULL_TEXT_SEARCHABLE

    public static final Name IS_FULL_TEXT_SEARCHABLE

### IS_MIXIN

    public static final Name IS_MIXIN

### IS_QUERY_ORDERABLE

    public static final Name IS_QUERY_ORDERABLE

### IS_QUERYABLE

    public static final Name IS_QUERYABLE

### MANDATORY

    public static final Name MANDATORY

### MULTIPLE

    public static final Name MULTIPLE

### NODE_TYPE_NAME

    public static final Name NODE_TYPE_NAME

### ON_PARENT_VERSION

    public static final Name ON_PARENT_VERSION

### PRIMARY_ITEM_NAME

    public static final Name PRIMARY_ITEM_NAME

### PROPERTY_DEFINITION

    public static final Name PROPERTY_DEFINITION

### PROTECTED

    public static final Name PROTECTED

### QUERY_OPERATORS

    public static final Name QUERY_OPERATORS

### REQUIRED_PRIMARY_TYPES

    public static final Name REQUIRED_PRIMARY_TYPES

### REQUIRED_TYPE

    public static final Name REQUIRED_TYPE

### SAME_NAME_SIBLINGS

    public static final Name SAME_NAME_SIBLINGS

### SUPERTYPES

    public static final Name SUPERTYPES

### VALUE_CONSTRAINTS

    public static final Name VALUE_CONSTRAINTS

### XMLCHARACTERS

    public static final Name XMLCHARACTERS

Constructor Detail

### JcrLexicon

    public JcrLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.